


#include <Arduino.h>

/*
This program is contributed by a user, Kllen.  Thank you very much Kllen!

ESP32 Battery Voltage Calculations
https://www.youtube.com/watch?v=S34R4zg03uE
*/

#define BATT_MONITOR_PIN 10  //for NanoboyS3-JR
#define BATT_SWITCH 17       //for NanoboyS3-JR

#define COMPENSATION 1.0045 // This value may need adjusting if the reading differs from the battery voltage


void setup()
{  
    Serial.begin(115200);
    pinMode(BATT_SWITCH, OUTPUT); // Turn on Battery Monitor
    digitalWrite(BATT_SWITCH, HIGH); // Turn off Battery Monitor
    pinMode(BATT_MONITOR_PIN, INPUT); // Turn on Battery Monitor input 
}

void loop()
{
    int readValue = analogRead(BATT_MONITOR_PIN) * 2; // Read Battery Monitor input 
    float battValue = (float(readValue) * 3.3) / 4095.0 * (COMPENSATION); // Calculate Battery Voltage
    Serial.print("Battery Voltage: ");
    Serial.println(battValue, 2);
    delay(2000);
}
