
// This program is contributed by a user, Kllen.  Thank you very much Kllen!
// It will check Deep Sleep current

#include <Arduino.h>
#include <esp_sleep.h>
#include <Adafruit_NeoPixel.h>

#define DISPLAY_LED_PIN 18 // NanoboyS3-JR WS2812b pin
#define BATT_SWITCH 17     // NanoboyS3-JR Ws2812b pin

#define uS_TO_S_FACTOR 1000000  /* Conversion factor for micro seconds to seconds */
#define TIME_TO_SLEEP_SECONDS  5  

// Set up LED
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(1, DISPLAY_LED_PIN, NEO_GRB + NEO_KHZ800);

void setup(){
  
  // Turn on LED
  pinMode(BATT_SWITCH, OUTPUT);
  digitalWrite(BATT_SWITCH, HIGH); 

  // Set sleep wakeup timer
  esp_sleep_enable_timer_wakeup(TIME_TO_SLEEP_SECONDS * uS_TO_S_FACTOR);

  // Set the LED to green and show for 5 seconds
  pixels.setPixelColor(0, pixels.Color(0, 10, 0));
  pixels.show();
  delay(5000);

  // Start deep sleep - deep sleep will last 5 seconds (TIME_TO_SLEEP_SECONDS), then restart the esp32
  esp_deep_sleep_start();
}

void loop(){
  //This is not going to be called
}
